clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces
UseNullptrCheck.cpp File Reference
`#include "UseNullptrCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/RecursiveASTVisitor.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Lex/Lexer.h"`
Include dependency graph for UseNullptrCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::modernize

## Variable Documentation

bool CastFound

Definition at line 170 of file UseNullptrCheck.cpp.

SourceLocation CastLoc

Definition at line 166 of file UseNullptrCheck.cpp.

ClangTidyCheck& Check

Definition at line 457 of file UseNullptrCheck.cpp.

ASTContext& Context

Definition at line 455 of file UseNullptrCheck.cpp.

Expr* FirstSubExpr

Definition at line 458 of file UseNullptrCheck.cpp.

bool InvalidFound

Definition at line 171 of file UseNullptrCheck.cpp.

ArrayRef<StringRef> NullMacros

Definition at line 456 of file UseNullptrCheck.cpp.

bool PruneSubtree

Definition at line 459 of file UseNullptrCheck.cpp.

SourceManager& SM

Definition at line 167 of file UseNullptrCheck.cpp.

bool Visited

Definition at line 169 of file UseNullptrCheck.cpp.